Package org.apache.avro.idl

# Class IdlParser.MessageDeclarationContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.avro.idl.IdlParser.MessageDeclarationContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  `IdlParser`

public static class IdlParser.MessageDeclarationContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

Fields
Modifier and Type
Field
Description
`org.antlr.v4.runtime.Token`
`doc`
`List<IdlParser.IdentifierContext>`
`errors`
`IdlParser.FormalParameterContext`
`formalParameter`
`List<IdlParser.FormalParameterContext>`
`formalParameters`
`IdlParser.IdentifierContext`
`identifier`
`IdlParser.IdentifierContext`
`name`
`org.antlr.v4.runtime.Token`
`oneway`
`IdlParser.ResultTypeContext`
`returnType`
`List<IdlParser.SchemaPropertyContext>`
`schemaProperties`
`IdlParser.SchemaPropertyContext`
`schemaProperty`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, EMPTY, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`MessageDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`List<org.antlr.v4.runtime.tree.TerminalNode>`
`Comma()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Comma(int i)`
`org.antlr.v4.runtime.tree.TerminalNode`
`DocComment()`
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`List<IdlParser.FormalParameterContext>`
`formalParameter()`
`IdlParser.FormalParameterContext`
`formalParameter(int i)`
`int`
`getRuleIndex()`
`List<IdlParser.IdentifierContext>`
`identifier()`
`IdlParser.IdentifierContext`
`identifier(int i)`
`org.antlr.v4.runtime.tree.TerminalNode`
`LParen()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Oneway()`
`IdlParser.ResultTypeContext`
`resultType()`
`org.antlr.v4.runtime.tree.TerminalNode`
`RParen()`
`List<IdlParser.SchemaPropertyContext>`
`schemaProperty()`
`IdlParser.SchemaPropertyContext`
`schemaProperty(int i)`
`org.antlr.v4.runtime.tree.TerminalNode`
`Semicolon()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Throws()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### doc

public org.antlr.v4.runtime.Token doc

### schemaProperty

public IdlParser.SchemaPropertyContext schemaProperty

### schemaProperties

public List<IdlParser.SchemaPropertyContext> schemaProperties

### returnType

public IdlParser.ResultTypeContext returnType

### name

public IdlParser.IdentifierContext name

### formalParameter

public IdlParser.FormalParameterContext formalParameter

### formalParameters

public List<IdlParser.FormalParameterContext> formalParameters

### oneway

public org.antlr.v4.runtime.Token oneway

### identifier

public IdlParser.IdentifierContext identifier

### errors

public List<IdlParser.IdentifierContext> errors

## Constructor Details

### MessageDeclarationContext

public MessageDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

## Method Details

### LParen

public org.antlr.v4.runtime.tree.TerminalNode LParen()

### RParen

public org.antlr.v4.runtime.tree.TerminalNode RParen()

### Semicolon

public org.antlr.v4.runtime.tree.TerminalNode Semicolon()

### resultType

public IdlParser.ResultTypeContext resultType()

### identifier

public List<IdlParser.IdentifierContext> identifier()

### identifier

public IdlParser.IdentifierContext identifier(int i)

### Throws

public org.antlr.v4.runtime.tree.TerminalNode Throws()

### DocComment

public org.antlr.v4.runtime.tree.TerminalNode DocComment()

### schemaProperty

public List<IdlParser.SchemaPropertyContext> schemaProperty()

### schemaProperty

public IdlParser.SchemaPropertyContext schemaProperty(int i)

### formalParameter

public List<IdlParser.FormalParameterContext> formalParameter()

### formalParameter

public IdlParser.FormalParameterContext formalParameter(int i)

### Oneway

public org.antlr.v4.runtime.tree.TerminalNode Oneway()

### Comma

public List<org.antlr.v4.runtime.tree.TerminalNode> Comma()

### Comma

public org.antlr.v4.runtime.tree.TerminalNode Comma(int i)

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`